package gmt.io.udp.event;

public interface IGmtUDPEventListener {
	public void readyToSend();
	public void error(String ip, int port, int errorCode, String description);	
	public void disconnected(String ip, int port, int statusCode, String description);	
	public void dataIn(int serverPort, String remoteHost, int remotePort, String msg);
	public void connectionStatus(String ip, int port, String connEvent, int statusCode, String description);
	public void connected(String ip, int port, int statusCode, String description);
}
